# tag: Tom Lord Mon Jan 27 00:04:00 2003 (file-utils/ChangeLog)
#

2002-05-18 GMT	Tom Lord <lord@regexps.com>	patch-17

    Summary:
      merge with`lord'
    Revision:
      file-utils--devo--1.0--patch-17

    
    Patches applied (highlights):
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-22
         allocation bug in `inv.c'

    new files:
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-21
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-22
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-23

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     Makefile.in inv.c

    new patches:
     lord@regexps.com--2002/file-utils--lord--1.0--patch-21
     lord@regexps.com--2002/file-utils--lord--1.0--patch-22
     lord@regexps.com--2002/file-utils--lord--1.0--patch-23


2002-05-01 GMT	Tom Lord <lord@regexps.com>	patch-16

    Summary:
      important bug fixes to inv.c
    Revision:
      file-utils--devo--1.0--patch-16

    
    When searching for the tagging rules file, stop
    at the first directory that has a control directory
    subdirectory.  For example, if you find "{arch}" but
    not "{arch}/=tagging-rules", do not search the parent
    directory.
    
    This bug caused `inventory' to use the wrong tagging 
    method in trees that lack a rules file (hence
    use the "names" method) if the tree was nested inside
    of another project tree that used the "explicit" or
    "implicit" method.
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0 inv.c


2002-03-04 GMT	Tom Lord <lord@regexps.com>	patch-15

    Summary:
      fixed a descriptor leak in `ftag.c'
    Revision:
      file-utils--devo--1.0--patch-15

    
    Fixed a descriptor leak in `ftag.c(implicit_tag)'.
    

    modified files:
     =TODO ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0 ftag.c


2002-03-02 GMT	Tom Lord <lord@regexps.com>	patch-14

    Summary:
      `mkpatch' bug fix
    Revision:
      file-utils--devo--1.0--patch-14

    
    Pass the final 0 to `execlp'.
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     mkpatch.c


2002-03-02 GMT	Tom Lord <lord@regexps.com>	patch-13

    Summary:
      fixed `mkpatch' bugs
    Revision:
      file-utils--devo--1.0--patch-13

    Some trivial (bug fatal) bugs in `mkpatch' fixed.
    

    modified files:
     =THANKS ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     mkpatch.c


2002-02-27 GMT	Tom Lord <lord@regexps.com>	patch-12

    Summary:
      merge with `lord'
    Revision:
      file-utils--devo--1.0--patch-12

    Patches applied:
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-20
         `inv.c' fixes
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-19
         inv.c -- towards greater generality
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-18
         bug fixes in `inv.c'
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-17
         `inventory' command and library, start of `mkpatch'
    

    new files:
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-17
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-18
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-19
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-20
     mkpatch.c ftag.h inv.h =PATCHES inv.c inventory.c ftag.c

    removed files:
     =later/inv.c

    modified files:
     =README ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     Makefile.in file-tag.c

    new patches:
     lord@regexps.com--2002/file-utils--lord--1.0--patch-17
     lord@regexps.com--2002/file-utils--lord--1.0--patch-18
     lord@regexps.com--2002/file-utils--lord--1.0--patch-19
     lord@regexps.com--2002/file-utils--lord--1.0--patch-20


2002-02-20 GMT	Tom Lord <lord@regexps.com>	patch-11

    Summary:
      merge from `lord'
    Revision:
      file-utils--devo--1.0--patch-11

    Patches applied:
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-16
         --no-overwrite option to copy-file-list
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-15
         add support for -H (long help)
    

    new files:
     =later/inv.c
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-15
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-16

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     copy-file-list.c dangerous-rename.c file-metadata.c file-tag.c
     read-link.c set-file-metadata.c with-file-lock.c

    new directories:
     =later

    new patches:
     lord@regexps.com--2002/file-utils--lord--1.0--patch-15
     lord@regexps.com--2002/file-utils--lord--1.0--patch-16


2002-02-09	Tom Lord <lord@regexps.com>	patch-10

    Summary:
      merge from `lord'
    Revision:
      file-utils--devo--1.0--patch-10

    Patches applied:
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-14
         `readlink' -> `read-link'
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-13
         merge from devo
    

    new files:
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-13
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-14

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     Makefile.in read-link.c

    renamed files:
     readlink.c
       ==> read-link.c


    new patches:
     lord@regexps.com--2002/file-utils--lord--1.0--patch-13
     lord@regexps.com--2002/file-utils--lord--1.0--patch-14


2002-02-04	Tom Lord <lord@regexps.com>	patch-9

    Summary:
      added =THANKS
    Revision:
      file-utils--devo--1.0--patch-9

    
    Added "=THANKS".
    

    new files:
     =THANKS

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0


2002-02-04	Tom Lord <lord@regexps.com>	patch-8

    Summary:
      `file-tag' bug fix
    Revision:
      file-utils--devo--1.0--patch-8

    
    Don't print normal output when `--silent' is provided (missed one
    case).
    
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     file-tag.c


2002-01-30	Tom Lord <lord@regexps.com>	patch-7

    Summary:
      -Wall bug fixes
    Revision:
      file-utils--devo--1.0--patch-7

    Minor nits.
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     with-file-lock.c


2002-01-24	Tom Lord <lord@regexps.com>	patch-6

    Summary:
      merge from lord
    Revision:
      file-utils--devo--1.0--patch-6

    Patches applied:
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-12
         added a note to =TODO
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-11
         `with-file-lock': new command
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-10
         new option to `copy-file-list'
         	(also, back-merge from `devo')
    

    new files:
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-10
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-11
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-12
     with-file-lock.c

    modified files:
     =TODO ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     Makefile.in copy-file-list.c

    new patches:
     lord@regexps.com--2002/file-utils--lord--1.0--patch-10
     lord@regexps.com--2002/file-utils--lord--1.0--patch-11
     lord@regexps.com--2002/file-utils--lord--1.0--patch-12


2002-01-18	Tom Lord <lord@regexps.com>	patch-5

    Summary:
      merge from `lord'
    Revision:
      file-utils--devo--1.0--patch-5

    Patches applied:
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-9
         nit city
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-8
         merge from `devo'
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-7
         merge from `devo'
    

    new files:
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-7
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-8
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-9

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     copy-file-list.c dangerous-rename.c file-metadata.c file-tag.c
     readlink.c

    new patches:
     lord@regexps.com--2002/file-utils--lord--1.0--patch-7
     lord@regexps.com--2002/file-utils--lord--1.0--patch-8
     lord@regexps.com--2002/file-utils--lord--1.0--patch-9


2002-01-15	Tom Lord <lord@regexps.com>	patch-4

    Summary:
      don't chmod symlinks in set-file-metadata
    Revision:
      file-utils--devo--1.0--patch-4

    Don't chmod symlinks in `set-file-metadata'. 
    
    
    

    modified files:
     =TODO ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     set-file-metadata.c


2002-01-14	Tom Lord <lord@regexps.com>	patch-3

    Summary:
      bug fix in copy-file-list.c
    Revision:
      file-utils--devo--1.0--patch-3

    `readlink' doesn't return a 0-terminated string, so passing its
    unmodified result to `symlink' is not wise.
    
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     copy-file-list.c


2002-01-14	Tom Lord <lord@regexps.com>	patch-2

    Summary:
      merge from `lord':	--version support	boilerplate files	bug fixes
    Revision:
      file-utils--devo--1.0--patch-2

    Patches applied:
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-6
         corrected "Report bugs to" address
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-5
         fixed --version support
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-4
         fixed bugs encountered while making release branches
    
      * lord@regexps.com--2002/file-utils--lord--1.0--patch-3
         added boilerplate files
    

    new files:
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-3
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-4
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-5
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-6
     COPYING =README =TODO

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     copy-file-list.c dangerous-rename.c file-metadata.c file-tag.c
     readlink.c set-file-metadata.c
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/base-0

    new patches:
     lord@regexps.com--2002/file-utils--lord--1.0--patch-3
     lord@regexps.com--2002/file-utils--lord--1.0--patch-4
     lord@regexps.com--2002/file-utils--lord--1.0--patch-5
     lord@regexps.com--2002/file-utils--lord--1.0--patch-6


2002-01-07	Tom Lord <lord@regexps.com>	patch-1

    Summary:
      merge with `lord'
    Revision:
      file-utils--devo--1.0--patch-1

    For details, see:
    
    	ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
    
    Patches applied:
    
    
      lord@regexps.com--2002/file-utils--lord--1.0--patch-2
        ChangeLog re-org
    
      lord@regexps.com--2002/file-utils--lord--1.0--patch-1
        modified ChangeLog structure
    
      lord@regexps.com--2002/file-utils--lord--1.0--base-0
        tag of lord@regexps.com--2002/file-utils--devo--1.0--base-0

    new files:
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/base-0
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-1
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log/patch-2
     ChangeLog.d/lord@regepx.com--2001Q4/ChangeLog.devo--1.0
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0

    removed files:
     ChangeLog

    new directories:
     ChangeLog.d ChangeLog.d/lord@regepx.com--2001Q4
     ChangeLog.d/lord@regepx.com--2002
     {arch}/file-utils/file-utils--lord
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002
     {arch}/file-utils/file-utils--lord/file-utils--lord--1.0/lord@regexps.com--2002/patch-log

    new patches:
     lord@regexps.com--2002/file-utils--lord--1.0--base-0
     lord@regexps.com--2002/file-utils--lord--1.0--patch-1
     lord@regexps.com--2002/file-utils--lord--1.0--patch-2


2002-01-11	Tom Lord <lord@regexps.com>	base-0

    Summary:
      tag of lord@regexps.com--2001Q4/file-utils--devo--1.0--patch-1
    Revision:
      file-utils--devo--1.0--base-0

    (automatically generated log message)
    

    new patches:
     lord@regexps.com--2001Q4/file-utils--devo--1.0--base-0
     lord@regexps.com--public-2001Q4/file-utils--devo--1.0--base-0
     lord@regexps.com--2001Q4/file-utils--devo--1.0--patch-1


